<template>
    <div id="report">
      <h1>Báo cáo</h1>
      <div class="activity-select">
        <label>Hoạt động:</label>
        <select v-model="selected">
          <option v-for="activity in activities" :key="activity" v-bind:value="activity.id" :class="activity.enable?'option-active':'option-inactive'">
              {{activity.name}}
          </option>
        </select>
      </div>
      <div class="report-range">
        <label>Từ ngày:</label>
        <input type="date" v-model="date_from">
        <label>Đến ngày:</label>
        <input type="date" v-model="date_to">
      </div>
      <div>
        <button class="report-btn" @click="generateReport">Lập báo cáo</button>
      </div>
      <div class="report-result">
        <ReportResult :id="selected" :from="date_from" :to="date_to" />
      </div>  
    </div>
</template>

<script>
import ReportResult from '@/components/ReportResult.vue';

export default {
  name: 'Report-page',
  components: {
    ReportResult
  },
  data(){
    return {
      selected: '',
      date_from: '',
      date_to: '',
      activities: [
        {
          id: 23123123,
          name: 'donation1',
          enable: true,
        },
        {
          id: 8823123,
          name: 'donation2',
          enable: true,
        },
        {
          id: 3325123,
          name: 'donation3',
          enable: false,
        },
        {
          id: 76423123,
          name: 'donation4',
          enable: false,
        },
      ],
    }
  },
  methods: {
    generateReport(){

    }
  },
  mounted(){
    if(this.$route.query.activity){
      this.selected = this.$route.query.activity
    }
  }
}
</script>

<style scoped>
#report{    
  position:absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  padding: 0px 20px 40px 20px;
}

#report > div {
  display: flex;
  flex-direction: row;
  margin-bottom: 20px;
}

#report > div > *{
  margin-right: 20px;
}

.activity-select > select {
  width: 400px;
}


.option-active {
  background-color: rgb(127, 255, 127);
}
.option-inactive {
  background-color: rgb(255, 127, 127);
}

.report-btn{
  border-radius: 5px;
  padding: 10px;
  border: 1px solid blue;
  background-color: #22f;  
  color: white;
}
.report-btn:hover {

}
</style>
